//GENERAl STYLES
* {
	box-sizing :border-box;
}
*:before,
*:after {
	box-sizing :border-box;
}

body, html{
	height: 100%;
}

//LINKS
a{
	text-decoration: none;
	color: @links-color;
}

//TEXT
p{
	font-family: @text-police;
	font-weight: @normal-weight;
	line-height: 2;
	font-size: @normal-text;
}

//TITLES
h1, h2, h3, h4{
	font-family: @title-police;
	font-weight: @normal-weight * 2;
	color:@color-primary;	
}

h2{
	color: @title-color;
}

//SPECIFICS STYLES
//MENU
.menu{
	min-height: @menu-size;
	background-color: @background-color;
	position: fixed; //For a fixed menu
	z-index:2; 
	width: 100%;
	top: 0px;
	box-shadow: 1px 1px 7px @shadow-color;//To clearly separate the menu of the content 

	a{
		display: block;
		text-align: center;
		margin-top: @menu-size /3;
		font-family: @menu-police, sans-serif;
		font-weight: @normal-weight * 2;
	}

	.active{
		color: @active-link-color;
		font-weight: bold;
	}

	a:hover{
		color: @hover-link-color;
		font-weight: bold;
	}

	 img{
		height: @logo-size;
	}
}

// SECTIONS
.photo{
	background-image : url(../img/flower_picture.jpg);
	height: @welcome-size;
	padding-top: @menu-size + 15px;

	h1, h2	{
		text-align: center;
		color: #fff;
	}

	h1{
		margin-top: @menu-size;
	}
}

//DISCOVER ME
.discover_me{
	padding: @padding-general-size;
	min-height: @discover-size;

	.presentation{
		background-color: @background-color;
	}

	h3{
		margin-top: 40px;
	}

	.infos{
		margin-top: 20px;

		.icone{
			//Center the icons 
			.school{margin-top:55px;}
			.job{margin-top:65px;}
			.like{margin-top:83px;}

			object{
				height: @icon-size;
				display: block;
				position: relative;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
			}
		}
	}

	//PUZZLE
	#knowledges{
		width:100%;
	}

	//SVG PUZZLE
	.skills, .prog, .graphic, .other{
		pointer-events:all; //The element can be the target of an event only if the mouse pointer is over the interior or boundary
		stroke: @color-primary;
	}

	.fill_a_piece(@color: #fff){ //Function to fill a piece of the puzzle with a color (default = white)
	
		fill: @color;
	}

	.skills:hover{
		.fill_a_piece(@skills-color); 
	}

	.prog:hover{
		.fill_a_piece(@prog-color);
	}

	.graphic:hover{
		.fill_a_piece(@graph-color);
	}

	.other:hover{
		.fill_a_piece(@other-color);
	}
}


//MY CV
.cv{
	background-image : url(../img/muo_picture.jpg);
	min-height: @cv-size;

	.cv_button{
		height: @cv-size /3;
		margin-top: @cv-size/3;
		border: solid 4px #fff;	
		background: none;
		cursor: pointer;
		text-transform: uppercase;
		letter-spacing: 1px;
		-webkit-transition: all 0.5s; //Animation
		-moz-transition: all 0.5s;
		transition: all 0.5s;
		overflow: hidden;//The overflow is clipped, and the rest of the content will be invisible
		
		a{
			display:block;
			text-align:center;
			color: #fff;
			font-family: @title-police;
			font-weight: 600;
			padding: 20px;
		}
	}
	
	.cv_button:after{
		content: '';
		position: absolute;
		z-index: 0;
		-webkit-transition: all 0.3s;
		-moz-transition: all 0.3s;
		transition: all 0.3s;
		width: 101%;
		height: 0;
		top: 50%;
		left: 50%;
		background: #fff;
		opacity: 0;
		-webkit-transform: translateX(-50%) translateY(-50%);
		-moz-transform: translateX(-50%) translateY(-50%);
		-ms-transform: translateX(-50%) translateY(-50%);
		transform: translateX(-50%) translateY(-50%);
	}

	.cv_button:hover a{
		z-index: 99;
		position: relative;
		color: black;
	}

	.cv_button:hover:after{
		height: 100%;
		opacity: 1;
	}
}

//PROJECTS
#section_projects{
	padding-left: @padding-general-size;
	padding-right: @padding-general-size;
}

figure{
	position: relative; 
	overflow: hidden; //Hide what is outdoor the frame
	cursor: pointer;
	background: black;
	width: 100%;
	display:block;
	margin: 0px 0px;
}

figure img{
	filter: grayscale(1);//Converting images to black and whiteW
	display: block;
	opacity: 0.7;
	-webkit-transition: opacity 1s, -webkit-transform 1s;
	transition: opacity 1s, transform 1s;
}

figure figcaption{
	padding: 20px;
	color: #fff;
	font-size: 18px;
	margin-left: 10%;
	margin-right: auto;
	width:90%;
	position: absolute;
	top: 0;
	left: 0;
}

.effect-hover h3{
	color: #fff;
}

figure h2{
	font-weight: 300;
}

figure.effect-hover p{
	display: inline-block;
	padding: 4px 5px;
	background: rgba(255,255,255,0.9);
	color: #2f3238;
	font-weight: 500;
	-webkit-transition: opacity 0.45s, -webkit-transform 0.45s;
	transition: opacity 0.45s, transform 0.45s;
	-webkit-transform: translate3d(-350px,0,0);
	transform: translate3d(-350px,0,0);
}

figure.effect-hover:hover img{
	opacity: 0.8;
	filter: grayscale(0);//Pictures in colors
	-webkit-transform: scale3d(1.4,1.4,1);//Zoom
	transform: scale3d(1.4,1.4,1);
}

figure.effect-hover:hover p{
	opacity: 1;
	-webkit-transform: translate3d(0,0,0);//Animation : text appears from the left
	transform: translate3d(0,0,0);
}


//For the detail view of each project
.project{
	padding: 10px;

	img{
		height: 100%;
		width: 100%;
	}

	a{
		padding-top: 30px;
		//display: inline-block;
	}
	.link-video{
		width: 115px;

		span {
			margin-left: 6px;
		}
	}

	a[href=""]{
	   display: none;
	}

	a:hover{
		color:@hover-link-color;
		font-weight: bold;
	}

	.project_img{
		img{
			height: 90%;
			margin-bottom: 20px;
		}
	}

	hr{  //To clearly separate the project area and the contact zone
		color: @links-color;
		width: 100%;
	}
}

//CONTACT ME
.contact{
	min-height: @contact-size;
	padding: @padding-general-size;

	a{
		text-align: center;
		color: @links-social-color;
		font-weight: 600;
		opacity: 0.6; 
	}

	a:hover{
		opacity: 1;
	}

	//SOCIAL LINKS
	.circle{    
		width:@circle-size; 
		display: block;
		height:@circle-size;
		border-radius:@circle-size; //To draw a circle
		display: inline-block;
	}

	#fb{
		background: @fb-color;
		padding-top: @circle-size/4;
		margin-right: 10px;
	}

	#in{
		background: @linkedin-color;
		padding-top: @circle-size/4;
	}

	//FORM
	#form{
		input, textarea{
			width:80%;
			display: block;
			margin: 5px auto 0 auto;
			max-width: 80%;
			max-height: 150px;
		}

		#envoyer{
			width:50%;
			padding:4px;
			height: @cv-size /3;		
			background: none;
			border: solid 4px @links-color;	
			cursor: pointer;
			text-transform: uppercase;
			letter-spacing: 1px;
			color: @links-color;
			font-family: @title-police;
			font-weight: 600;
			display: block;
			margin: 0 auto;
		}

		#envoyer:hover{
			background-color: @links-color;
			color: white;
		    -webkit-transition: background-color 0.3s linear;
		    -moz-transition: background-color 0.3s linear;
		    -o-transition: background-color 0.3s linear;
		    -ms-transition: background-color 0.3s linear;
		    transition: background-color 0.2s linear;
		}

		input[value]{
			font-family: @text-police;
		}

		.success{//Default : the user doesn't see the message "Merci pour votre message ! "
			text-align: center;
			opacity: 0;
			margin-bottom: 0px;
			margin-top: 0px;	
		}

		.show-success{
			-webkit-animation : anim 4s;
		}

		@-webkit-keyframes anim{//Animation if a mail is sending to display a message and the message disapear at the end
		    0% {opacity: 0;}
		    20% {opacity: 1;}
		    80% {opacity: 1;}
		    100% {opacity: 0;}
		}
	}
}

//FOOTER
footer{
	height:@footer-size;
	background-color: @footer-color;

	p{
		font-size: @footer-text;
		line-height: 30px;
		margin-left: 20px;
	}
}

//PARALLAX
.photo , .cv{
	background-repeat: no-repeat;
	background-size : cover;
	background-attachment: fixed;
}

//MENU HAMBURGER FOR MOBILE
.open-menu{
	display: none;
}

@media screen and (max-width: 992px){
	#knowledges{ //Hide the puzzle on mobile 
		display: none;
	}

	//Hide the puzzle of skills on mobile (because it's not possible to hover on mobile...)
	.presentation{
		.my_skills, h3{
			display: none;
		}
	}

	.contact{
		margin-top: 0px;
	}

	.projects {
	height: 100% !important;
	}
}

//MOBILE MODIFICATIONS
@media screen and (max-width: 640px){
	.menu{
		min-height: @menu-size;
		background-color: @background-color;
		position: fixed;
		z-index:2; 
		width: 100%;
		top: 0px;
		box-shadow: 1px 1px 7px @shadow-color;
		-webkit-transition: top 2s; //Animation to open the menu

		.open-menu{
			display: block;
		}
	}

	.closed{
		position: fixed;
		z-index:2;
		width: 100%;
		top: -170px; //When the menu is closed : hide the links of the menu
		-webkit-transition: top 2s;
	}

	.cv{
		background-repeat: repeat;
	} 

	.photo , .cv{
		background-repeat: no-repeat;
		background-size : auto;
		background-attachment: scroll;
	}
}